# Contributing

If you'd like to contribute, welcome!! We are so glad you are here. We hope you will take a moment to read our [code of conduct](../code-of-conduct.md) before continuing.



- [Documentation repository](https://git.lollipopcloud.solutions/lollipop-cloud/docs)
- [Code repository](https://git.lollipopcloud.solutions/lollipop-cloud/lolipop_lan_cloud)
- [Docker-specific repositories](https://git.lollipopcloud.solutions/lollipop-docker/misc)

Lowering the barrier for contributions is important: we value your input, regardless of your level of experience or area of expertise. If you would rather [contact us directly](https://lollipopcloud.solutions/page/contact/), please do not hesitate to reach out through email or chat.

Note: by submitting a PR, you agree to your contribution(s) being licensed as described in our [LICENSE.md](../LICENSE.md).

## Documentation

**In order to ease the process of reading and applying docs, please:**

*   Add an introduction for what the documentation is about (1-2 short paragraphs should suffice) before presenting links, code, etc., for the sake of context;
*   Use plain language, because our users are diverse with a wide range of technical and non-technical backgrounds;
*   Don't abbreviate or assume something is banal/easy/common knowledge (define acronyms on first use);
*   Be specific, even when you believe "everyone knows this."

**For extra readability purposes:**

*   Use markdown, if possible, for different areas/topics among the doc, as well as plenty of white space;
*   Separate configurations/commands from explanations with a code block (triple backtick).
*   If you can't explain a "basic concept" in a easy way without making a wall of text in the middle of your doc, feel free to hyperlink to separate documentation where those concepts are already explained, be it Wikipedia or another doc that has high readability and reliability.
